GET /api/v1/projects ​

operationId: listProjectsOrGetProject

This operation is described by the generated OpenAPI contract.

Authentication ​

Provide either authentication method:

  • Bearer token (Authorization: Bearer <token>).
  • API token in the X-SketchForge-Token header.

Parameters ​

NameInRequiredSchemaDescription
projectIdqueryNo{"type":"string","pattern":"^[A-Za-z0-9][A-Za-z0-9_-]*$","maxLength":120}—
limitqueryNo{"type":"string","pattern":"^\\d{1,4}$","maxLength":4}—
cursorqueryNo{"type":"string","pattern":"^[A-Za-z0-9_-]+$","maxLength":128}—

Request body ​

No request body.

Responses ​

200 — Successful response. ​

Content type: application/json

json
{
  "oneOf": [
    {
      "type": "object",
      "required": [
        "projects",
        "nextCursor"
      ],
      "properties": {
        "projects": {
          "type": "array",
          "items": {
            "type": "object",
            "required": [
              "id",
              "name",
              "shapes",
              "revision",
              "updatedAt",
              "packageBytes"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "shapes": {
                "type": "integer"
              },
              "revision": {
                "type": "number"
              },
              "updatedAt": {
                "type": "number"
              },
              "packageBytes": {
                "type": "integer"
              }
            }
          }
        },
        "nextCursor": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    },
    {
      "type": "object",
      "required": [
        "project"
      ],
      "properties": {
        "project": {
          "type": "object",
          "required": [
            "id",
            "name",
            "createdAt",
            "snapGrid",
            "workspace",
            "shapes"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "createdAt": {
              "type": "number"
            },
            "snapGrid": {
              "type": "string"
            },
            "workspace": {
              "type": "object",
              "additionalProperties": true
            },
            "shapes": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "kind",
                  "color",
                  "hole",
                  "locked",
                  "hidden",
                  "x",
                  "z",
                  "elevation",
                  "width",
                  "depth",
                  "rotation",
                  "rotationX",
                  "rotationZ"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "kind": {
                    "type": "string"
                  },
                  "requestKind": {
                    "type": "string"
                  },
                  "sketchOperation": {
                    "type": "string"
                  },
                  "sketchSourceId": {
                    "type": "string"
                  },
                  "draftPrismAngle": {
                    "type": "number"
                  },
                  "faceDraft": {
                    "type": "object",
                    "required": [
                      "sourceFaceId",
                      "angle",
                      "pullDirection",
                      "sourceFaceNormal"
                    ],
                    "properties": {
                      "sourceFaceId": {
                        "type": "string"
                      },
                      "angle": {
                        "type": "number"
                      },
                      "pullDirection": {
                        "type": "string",
                        "enum": [
                          "x",
                          "y",
                          "z",
                          "-x",
                          "-y",
                          "-z"
                        ]
                      },
                      "sourceFaceNormal": {
                        "type": "object",
                        "required": [
                          "x",
                          "y",
                          "z"
                        ],
                        "properties": {
                          "x": {
                            "type": "number"
                          },
                          "y": {
                            "type": "number"
                          },
                          "z": {
                            "type": "number"
                          }
                        }
                      }
                    }
                  },
                  "sketchProfile": {
                    "type": "object",
                    "required": [
                      "points",
                      "segments"
                    ],
                    "properties": {
                      "points": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      },
                      "segments": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      },
                      "sweepFrames": {
                        "type": "object",
                        "additionalProperties": true
                      }
                    },
                    "additionalProperties": true
                  },
                  "color": {
                    "type": "string"
                  },
                  "faceIds": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "faceColors": {
                    "type": "object",
                    "additionalProperties": {
                      "type": "string"
                    }
                  },
                  "stepAssembly": {
                    "type": "array",
                    "description": "Optional STEP product hierarchy metadata. Imported geometry remains one mesh until exploded.",
                    "items": {
                      "type": "object",
                      "required": [
                        "name",
                        "children"
                      ],
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "children": {
                          "type": "array",
                          "maxItems": 2000,
                          "description": "Direct product children; hierarchy depth is capped at 32.",
                          "items": {
                            "type": "object",
                            "required": [
                              "name",
                              "children"
                            ],
                            "properties": {
                              "id": {
                                "type": "string"
                              },
                              "name": {
                                "type": "string"
                              },
                              "children": {
                                "type": "array",
                                "maxItems": 2000,
                                "description": "Direct product children; hierarchy depth is capped at 32.",
                                "items": {
                                  "type": "object",
                                  "required": [
                                    "name",
                                    "children"
                                  ],
                                  "properties": {
                                    "id": {
                                      "type": "string"
                                    },
                                    "name": {
                                      "type": "string"
                                    },
                                    "children": {
                                      "type": "array",
                                      "maxItems": 2000,
                                      "description": "Direct product children; hierarchy depth is capped at 32.",
                                      "items": {
                                        "type": "object",
                                        "required": [
                                          "name",
                                          "children"
                                        ],
                                        "properties": {
                                          "id": {
                                            "type": "string"
                                          },
                                          "name": {
                                            "type": "string"
                                          },
                                          "children": {
                                            "type": "array",
                                            "maxItems": 2000,
                                            "description": "Direct product children; hierarchy depth is capped at 32.",
                                            "items": {
                                              "type": "object",
                                              "required": [
                                                "name",
                                                "children"
                                              ],
                                              "properties": {
                                                "id": {
                                                  "type": "string"
                                                },
                                                "name": {
                                                  "type": "string"
                                                },
                                                "children": {
                                                  "type": "array",
                                                  "maxItems": 2000,
                                                  "description": "Direct product children; hierarchy depth is capped at 32.",
                                                  "items": {
                                                    "type": "object",
                                                    "required": [
                                                      "name",
                                                      "children"
                                                    ],
                                                    "properties": {
                                                      "id": {
                                                        "type": "string"
                                                      },
                                                      "name": {
                                                        "type": "string"
                                                      },
                                                      "children": {
                                                        "type": "array",
                                                        "maxItems": 2000,
                                                        "description": "Direct product children; hierarchy depth is capped at 32.",
                                                        "items": {
                                                          "type": "object",
                                                          "required": [
                                                            "name",
                                                            "children"
                                                          ],
                                                          "properties": {
                                                            "id": {
                                                              "type": "string"
                                                            },
                                                            "name": {
                                                              "type": "string"
                                                            },
                                                            "children": {
                                                              "type": "array",
                                                              "maxItems": 2000,
                                                              "description": "Direct product children; hierarchy depth is capped at 32.",
                                                              "items": {
                                                                "type": "object",
                                                                "required": [
                                                                  "name",
                                                                  "children"
                                                                ],
                                                                "properties": {
                                                                  "id": {
                                                                    "type": "string"
                                                                  },
                                                                  "name": {
                                                                    "type": "string"
                                                                  },
                                                                  "children": {
                                                                    "type": "array",
                                                                    "maxItems": 2000,
                                                                    "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                    "items": {
                                                                      "type": "object",
                                                                      "required": [
                                                                        "name",
                                                                        "children"
                                                                      ],
                                                                      "properties": {
                                                                        "id": {
                                                                          "type": "string"
                                                                        },
                                                                        "name": {
                                                                          "type": "string"
                                                                        },
                                                                        "children": {
                                                                          "type": "array",
                                                                          "maxItems": 2000,
                                                                          "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                          "items": {
                                                                            "type": "object",
                                                                            "required": [
                                                                              "name",
                                                                              "children"
                                                                            ],
                                                                            "properties": {
                                                                              "id": {
                                                                                "type": "string"
                                                                              },
                                                                              "name": {
                                                                                "type": "string"
                                                                              },
                                                                              "children": {
                                                                                "type": "array",
                                                                                "maxItems": 2000,
                                                                                "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                "items": {
                                                                                  "type": "object",
                                                                                  "required": [
                                                                                    "name",
                                                                                    "children"
                                                                                  ],
                                                                                  "properties": {
                                                                                    "id": {
                                                                                      "type": "string"
                                                                                    },
                                                                                    "name": {
                                                                                      "type": "string"
                                                                                    },
                                                                                    "children": {
                                                                                      "type": "array",
                                                                                      "maxItems": 2000,
                                                                                      "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                      "items": {
                                                                                        "type": "object",
                                                                                        "required": [
                                                                                          "name",
                                                                                          "children"
                                                                                        ],
                                                                                        "properties": {
                                                                                          "id": {
                                                                                            "type": "string"
                                                                                          },
                                                                                          "name": {
                                                                                            "type": "string"
                                                                                          },
                                                                                          "children": {
                                                                                            "type": "array",
                                                                                            "maxItems": 2000,
                                                                                            "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                            "items": {
                                                                                              "type": "object",
                                                                                              "required": [
                                                                                                "name",
                                                                                                "children"
                                                                                              ],
                                                                                              "properties": {
                                                                                                "id": {
                                                                                                  "type": "string"
                                                                                                },
                                                                                                "name": {
                                                                                                  "type": "string"
                                                                                                },
                                                                                                "children": {
                                                                                                  "type": "array",
                                                                                                  "maxItems": 2000,
                                                                                                  "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                  "items": {
                                                                                                    "type": "object",
                                                                                                    "required": [
                                                                                                      "name",
                                                                                                      "children"
                                                                                                    ],
                                                                                                    "properties": {
                                                                                                      "id": {
                                                                                                        "type": "string"
                                                                                                      },
                                                                                                      "name": {
                                                                                                        "type": "string"
                                                                                                      },
                                                                                                      "children": {
                                                                                                        "type": "array",
                                                                                                        "maxItems": 2000,
                                                                                                        "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                        "items": {
                                                                                                          "type": "object",
                                                                                                          "required": [
                                                                                                            "name",
                                                                                                            "children"
                                                                                                          ],
                                                                                                          "properties": {
                                                                                                            "id": {
                                                                                                              "type": "string"
                                                                                                            },
                                                                                                            "name": {
                                                                                                              "type": "string"
                                                                                                            },
                                                                                                            "children": {
                                                                                                              "type": "array",
                                                                                                              "maxItems": 2000,
                                                                                                              "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                              "items": {
                                                                                                                "type": "object",
                                                                                                                "required": [
                                                                                                                  "name",
                                                                                                                  "children"
                                                                                                                ],
                                                                                                                "properties": {
                                                                                                                  "id": {
                                                                                                                    "type": "string"
                                                                                                                  },
                                                                                                                  "name": {
                                                                                                                    "type": "string"
                                                                                                                  },
                                                                                                                  "children": {
                                                                                                                    "type": "array",
                                                                                                                    "maxItems": 2000,
                                                                                                                    "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                    "items": {
                                                                                                                      "type": "object",
                                                                                                                      "required": [
                                                                                                                        "name",
                                                                                                                        "children"
                                                                                                                      ],
                                                                                                                      "properties": {
                                                                                                                        "id": {
                                                                                                                          "type": "string"
                                                                                                                        },
                                                                                                                        "name": {
                                                                                                                          "type": "string"
                                                                                                                        },
                                                                                                                        "children": {
                                                                                                                          "type": "array",
                                                                                                                          "maxItems": 2000,
                                                                                                                          "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                          "items": {
                                                                                                                            "type": "object",
                                                                                                                            "required": [
                                                                                                                              "name",
                                                                                                                              "children"
                                                                                                                            ],
                                                                                                                            "properties": {
                                                                                                                              "id": {
                                                                                                                                "type": "string"
                                                                                                                              },
                                                                                                                              "name": {
                                                                                                                                "type": "string"
                                                                                                                              },
                                                                                                                              "children": {
                                                                                                                                "type": "array",
                                                                                                                                "maxItems": 2000,
                                                                                                                                "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                "items": {
                                                                                                                                  "type": "object",
                                                                                                                                  "required": [
                                                                                                                                    "name",
                                                                                                                                    "children"
                                                                                                                                  ],
                                                                                                                                  "properties": {
                                                                                                                                    "id": {
                                                                                                                                      "type": "string"
                                                                                                                                    },
                                                                                                                                    "name": {
                                                                                                                                      "type": "string"
                                                                                                                                    },
                                                                                                                                    "children": {
                                                                                                                                      "type": "array",
                                                                                                                                      "maxItems": 2000,
                                                                                                                                      "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                      "items": {
                                                                                                                                        "type": "object",
                                                                                                                                        "required": [
                                                                                                                                          "name",
                                                                                                                                          "children"
                                                                                                                                        ],
                                                                                                                                        "properties": {
                                                                                                                                          "id": {
                                                                                                                                            "type": "string"
                                                                                                                                          },
                                                                                                                                          "name": {
                                                                                                                                            "type": "string"
                                                                                                                                          },
                                                                                                                                          "children": {
                                                                                                                                            "type": "array",
                                                                                                                                            "maxItems": 2000,
                                                                                                                                            "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                            "items": {
                                                                                                                                              "type": "object",
                                                                                                                                              "required": [
                                                                                                                                                "name",
                                                                                                                                                "children"
                                                                                                                                              ],
                                                                                                                                              "properties": {
                                                                                                                                                "id": {
                                                                                                                                                  "type": "string"
                                                                                                                                                },
                                                                                                                                                "name": {
                                                                                                                                                  "type": "string"
                                                                                                                                                },
                                                                                                                                                "children": {
                                                                                                                                                  "type": "array",
                                                                                                                                                  "maxItems": 2000,
                                                                                                                                                  "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                  "items": {
                                                                                                                                                    "type": "object",
                                                                                                                                                    "required": [
                                                                                                                                                      "name",
                                                                                                                                                      "children"
                                                                                                                                                    ],
                                                                                                                                                    "properties": {
                                                                                                                                                      "id": {
                                                                                                                                                        "type": "string"
                                                                                                                                                      },
                                                                                                                                                      "name": {
                                                                                                                                                        "type": "string"
                                                                                                                                                      },
                                                                                                                                                      "children": {
                                                                                                                                                        "type": "array",
                                                                                                                                                        "maxItems": 2000,
                                                                                                                                                        "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                        "items": {
                                                                                                                                                          "type": "object",
                                                                                                                                                          "required": [
                                                                                                                                                            "name",
                                                                                                                                                            "children"
                                                                                                                                                          ],
                                                                                                                                                          "properties": {
                                                                                                                                                            "id": {
                                                                                                                                                              "type": "string"
                                                                                                                                                            },
                                                                                                                                                            "name": {
                                                                                                                                                              "type": "string"
                                                                                                                                                            },
                                                                                                                                                            "children": {
                                                                                                                                                              "type": "array",
                                                                                                                                                              "maxItems": 2000,
                                                                                                                                                              "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                              "items": {
                                                                                                                                                                "type": "object",
                                                                                                                                                                "required": [
                                                                                                                                                                  "name",
                                                                                                                                                                  "children"
                                                                                                                                                                ],
                                                                                                                                                                "properties": {
                                                                                                                                                                  "id": {
                                                                                                                                                                    "type": "string"
                                                                                                                                                                  },
                                                                                                                                                                  "name": {
                                                                                                                                                                    "type": "string"
                                                                                                                                                                  },
                                                                                                                                                                  "children": {
                                                                                                                                                                    "type": "array",
                                                                                                                                                                    "maxItems": 2000,
                                                                                                                                                                    "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                                    "items": {
                                                                                                                                                                      "type": "object",
                                                                                                                                                                      "required": [
                                                                                                                                                                        "name",
                                                                                                                                                                        "children"
                                                                                                                                                                      ],
                                                                                                                                                                      "properties": {
                                                                                                                                                                        "id": {
                                                                                                                                                                          "type": "string"
                                                                                                                                                                        },
                                                                                                                                                                        "name": {
                                                                                                                                                                          "type": "string"
                                                                                                                                                                        },
                                                                                                                                                                        "children": {
                                                                                                                                                                          "type": "array",
                                                                                                                                                                          "maxItems": 2000,
                                                                                                                                                                          "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                                          "items": {
                                                                                                                                                                            "type": "object",
                                                                                                                                                                            "required": [
                                                                                                                                                                              "name",
                                                                                                                                                                              "children"
                                                                                                                                                                            ],
                                                                                                                                                                            "properties": {
                                                                                                                                                                              "id": {
                                                                                                                                                                                "type": "string"
                                                                                                                                                                              },
                                                                                                                                                                              "name": {
                                                                                                                                                                                "type": "string"
                                                                                                                                                                              },
                                                                                                                                                                              "children": {
                                                                                                                                                                                "type": "array",
                                                                                                                                                                                "maxItems": 2000,
                                                                                                                                                                                "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                                                "items": {
                                                                                                                                                                                  "type": "object",
                                                                                                                                                                                  "required": [
                                                                                                                                                                                    "name",
                                                                                                                                                                                    "children"
                                                                                                                                                                                  ],
                                                                                                                                                                                  "properties": {
                                                                                                                                                                                    "id": {
                                                                                                                                                                                      "type": "string"
                                                                                                                                                                                    },
                                                                                                                                                                                    "name": {
                                                                                                                                                                                      "type": "string"
                                                                                                                                                                                    },
                                                                                                                                                                                    "children": {
                                                                                                                                                                                      "type": "array",
                                                                                                                                                                                      "maxItems": 2000,
                                                                                                                                                                                      "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                                                      "items": {
                                                                                                                                                                                        "type": "object",
                                                                                                                                                                                        "required": [
                                                                                                                                                                                          "name",
                                                                                                                                                                                          "children"
                                                                                                                                                                                        ],
                                                                                                                                                                                        "properties": {
                                                                                                                                                                                          "id": {
                                                                                                                                                                                            "type": "string"
                                                                                                                                                                                          },
                                                                                                                                                                                          "name": {
                                                                                                                                                                                            "type": "string"
                                                                                                                                                                                          },
                                                                                                                                                                                          "children": {
                                                                                                                                                                                            "type": "array",
                                                                                                                                                                                            "maxItems": 2000,
                                                                                                                                                                                            "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                                                            "items": {
                                                                                                                                                                                              "type": "object",
                                                                                                                                                                                              "required": [
                                                                                                                                                                                                "name",
                                                                                                                                                                                                "children"
                                                                                                                                                                                              ],
                                                                                                                                                                                              "properties": {
                                                                                                                                                                                                "id": {
                                                                                                                                                                                                  "type": "string"
                                                                                                                                                                                                },
                                                                                                                                                                                                "name": {
                                                                                                                                                                                                  "type": "string"
                                                                                                                                                                                                },
                                                                                                                                                                                                "children": {
                                                                                                                                                                                                  "type": "array",
                                                                                                                                                                                                  "maxItems": 2000,
                                                                                                                                                                                                  "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                                                                  "items": {
                                                                                                                                                                                                    "type": "object",
                                                                                                                                                                                                    "required": [
                                                                                                                                                                                                      "name",
                                                                                                                                                                                                      "children"
                                                                                                                                                                                                    ],
                                                                                                                                                                                                    "properties": {
                                                                                                                                                                                                      "id": {
                                                                                                                                                                                                        "type": "string"
                                                                                                                                                                                                      },
                                                                                                                                                                                                      "name": {
                                                                                                                                                                                                        "type": "string"
                                                                                                                                                                                                      },
                                                                                                                                                                                                      "children": {
                                                                                                                                                                                                        "type": "array",
                                                                                                                                                                                                        "maxItems": 2000,
                                                                                                                                                                                                        "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                                                                        "items": {
                                                                                                                                                                                                          "type": "object",
                                                                                                                                                                                                          "required": [
                                                                                                                                                                                                            "name",
                                                                                                                                                                                                            "children"
                                                                                                                                                                                                          ],
                                                                                                                                                                                                          "properties": {
                                                                                                                                                                                                            "id": {
                                                                                                                                                                                                              "type": "string"
                                                                                                                                                                                                            },
                                                                                                                                                                                                            "name": {
                                                                                                                                                                                                              "type": "string"
                                                                                                                                                                                                            },
                                                                                                                                                                                                            "children": {
                                                                                                                                                                                                              "type": "array",
                                                                                                                                                                                                              "maxItems": 2000,
                                                                                                                                                                                                              "description": "Direct product children; hierarchy depth is capped at 32.",
                                                                                                                                                                                                              "items": {
                                                                                                                                                                                                                "type": "object",
                                                                                                                                                                                                                "required": [
                                                                                                                                                                                                                  "name",
                                                                                                                                                                                                                  "children"
                                                                                                                                                                                                                ],
                                                                                                                                                                                                                "properties": {
                                                                                                                                                                                                                  "id": {
                                                                                                                                                                                                                    "type": "string"
                                                                                                                                                                                                                  },
                                                                                                                                                                                                                  "name": {
                                                                                                                                                                                                                    "type": "string"
                                                                                                                                                                                                                  },
                                                                                                                                                                                                                  "children": {
                                                                                                                                                                                                                    "type": "array",
                                                                                                                                                                                                                    "maxItems": 0,
                                                                                                                                                                                                                    "description": "Direct product children; hierarchy depth is capped at 32."
                                                                                                                                                                                                                  }
                                                                                                                                                                                                                },
                                                                                                                                                                                                                "additionalProperties": false
                                                                                                                                                                                                              }
                                                                                                                                                                                                            }
                                                                                                                                                                                                          },
                                                                                                                                                                                                          "additionalProperties": false
                                                                                                                                                                                                        }
                                                                                                                                                                                                      }
                                                                                                                                                                                                    },
                                                                                                                                                                                                    "additionalProperties": false
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              },
                                                                                                                                                                                              "additionalProperties": false
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        },
                                                                                                                                                                                        "additionalProperties": false
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  },
                                                                                                                                                                                  "additionalProperties": false
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            },
                                                                                                                                                                            "additionalProperties": false
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      },
                                                                                                                                                                      "additionalProperties": false
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                },
                                                                                                                                                                "additionalProperties": false
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          },
                                                                                                                                                          "additionalProperties": false
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    },
                                                                                                                                                    "additionalProperties": false
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              },
                                                                                                                                              "additionalProperties": false
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        },
                                                                                                                                        "additionalProperties": false
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  },
                                                                                                                                  "additionalProperties": false
                                                                                                                                }
                                                                                                                              }
                                                                                                                            },
                                                                                                                            "additionalProperties": false
                                                                                                                          }
                                                                                                                        }
                                                                                                                      },
                                                                                                                      "additionalProperties": false
                                                                                                                    }
                                                                                                                  }
                                                                                                                },
                                                                                                                "additionalProperties": false
                                                                                                              }
                                                                                                            }
                                                                                                          },
                                                                                                          "additionalProperties": false
                                                                                                        }
                                                                                                      }
                                                                                                    },
                                                                                                    "additionalProperties": false
                                                                                                  }
                                                                                                }
                                                                                              },
                                                                                              "additionalProperties": false
                                                                                            }
                                                                                          }
                                                                                        },
                                                                                        "additionalProperties": false
                                                                                      }
                                                                                    }
                                                                                  },
                                                                                  "additionalProperties": false
                                                                                }
                                                                              }
                                                                            },
                                                                            "additionalProperties": false
                                                                          }
                                                                        }
                                                                      },
                                                                      "additionalProperties": false
                                                                    }
                                                                  }
                                                                },
                                                                "additionalProperties": false
                                                              }
                                                            }
                                                          },
                                                          "additionalProperties": false
                                                        }
                                                      }
                                                    },
                                                    "additionalProperties": false
                                                  }
                                                }
                                              },
                                              "additionalProperties": false
                                            }
                                          }
                                        },
                                        "additionalProperties": false
                                      }
                                    }
                                  },
                                  "additionalProperties": false
                                }
                              }
                            },
                            "additionalProperties": false
                          }
                        }
                      },
                      "additionalProperties": false
                    }
                  },
                  "stepComponent": {
                    "type": "object",
                    "required": [
                      "id",
                      "occurrenceId",
                      "path"
                    ],
                    "description": "STEP source occurrence identity and root-to-component ancestry for a selectable exploded solid.",
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "occurrenceId": {
                        "type": "string"
                      },
                      "path": {
                        "type": "array",
                        "minItems": 1,
                        "items": {
                          "type": "object",
                          "required": [
                            "name"
                          ],
                          "properties": {
                            "id": {
                              "type": "string"
                            },
                            "name": {
                              "type": "string"
                            }
                          },
                          "additionalProperties": false
                        }
                      }
                    },
                    "additionalProperties": false
                  },
                  "hole": {
                    "type": "boolean"
                  },
                  "locked": {
                    "type": "boolean"
                  },
                  "hidden": {
                    "type": "boolean"
                  },
                  "x": {
                    "type": "number"
                  },
                  "z": {
                    "type": "number"
                  },
                  "elevation": {
                    "type": "number"
                  },
                  "width": {
                    "type": "number"
                  },
                  "depth": {
                    "type": "number"
                  },
                  "height": {
                    "type": "number"
                  },
                  "rotation": {
                    "type": "number"
                  },
                  "rotationX": {
                    "type": "number"
                  },
                  "rotationZ": {
                    "type": "number"
                  },
                  "groupedCount": {
                    "type": "integer"
                  },
                  "revolve": {
                    "type": "object",
                    "additionalProperties": true
                  },
                  "profile": {
                    "type": "array",
                    "items": {
                      "type": "array",
                      "minItems": 2,
                      "maxItems": 2,
                      "items": {
                        "type": "number"
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  ]
}

400 — Invalid request. ​

Content type: application/json

json
{
  "type": "object",
  "required": [
    "error",
    "code"
  ],
  "properties": {
    "error": {
      "type": "string"
    },
    "code": {
      "type": "string",
      "enum": [
        "api_disabled",
        "unauthorized",
        "storage_unconfigured",
        "invalid_project_id",
        "invalid_shape_id",
        "invalid_body",
        "invalid_request",
        "project_not_found",
        "project_exists",
        "project_busy",
        "revision_mismatch",
        "shape_not_found",
        "shape_locked",
        "unsupported_kind",
        "unsupported_format",
        "unapplicable_fields",
        "too_many_shapes",
        "limit_exceeded",
        "geometry_failed",
        "cad_failed",
        "internal_error"
      ]
    },
    "revision": {
      "type": "number"
    }
  },
  "additionalProperties": true
}

401 — Authentication failed. ​

Content type: application/json

json
{
  "type": "object",
  "required": [
    "error",
    "code"
  ],
  "properties": {
    "error": {
      "type": "string"
    },
    "code": {
      "type": "string",
      "enum": [
        "api_disabled",
        "unauthorized",
        "storage_unconfigured",
        "invalid_project_id",
        "invalid_shape_id",
        "invalid_body",
        "invalid_request",
        "project_not_found",
        "project_exists",
        "project_busy",
        "revision_mismatch",
        "shape_not_found",
        "shape_locked",
        "unsupported_kind",
        "unsupported_format",
        "unapplicable_fields",
        "too_many_shapes",
        "limit_exceeded",
        "geometry_failed",
        "cad_failed",
        "internal_error"
      ]
    },
    "revision": {
      "type": "number"
    }
  },
  "additionalProperties": true
}

404 — Resource not found or API disabled. ​

Content type: application/json

json
{
  "type": "object",
[...]
